commit: 8b5a1cd17ae546b84dd835e8b449ead391482af9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 27 09:53:20 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 27 10:02:22 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b5a1cd1
dev-python/url-normalize: Switch to PEP 517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../url-normalize/url-normalize-1.4.3-r1.ebuild | 33 ++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild
b/dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild
new file mode 100644
index 000000000000..8ede2a4e84e6
--- /dev/null
+++ b/dev-python/url-normalize/url-normalize-1.4.3-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="URL normalization for Python"
+HOMEPAGE="
+ https://github.com/niksite/url-normalize/
+ https://pypi.org/project/url-normalize/"
+SRC_URI="
+ https://github.com/niksite/url-normalize/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove problematic pytest options
+ rm tox.ini || die
+ sed -e '/requires/s:poetry:&-core:' \
+ -e '/backend/s:poetry:&.core:' \
+ -i pyproject.toml || die
+ distutils-r1_src_prepare
+}